@echo off
:: Verifica se il batch è in esecuzione con privilegi amministrativi
net session >nul 2>&1
if %errorlevel% neq 0 (
    echo Richiesti privilegi amministrativi. Rilancio come amministratore...
    powershell -Command "Start-Process '%~f0' -Verb runAs"
    exit /b
)

:: Crea la cartella C:\RAMOptimizer se non esiste
if not exist "C:\RAMOptimizer" (
    mkdir "C:\RAMOptimizer"
)

:: Imposta il percorso della directory dello script
set "scriptDir=%~dp0"

:: Copia RAMMap.exe dalla directory corrente a C:\RAMOptimizer
if exist "%scriptDir%RAMMap.exe" (
    copy /Y "%scriptDir%RAMMap.exe" "C:\RAMOptimizer\RAMMap.exe"
    if %errorlevel% neq 0 (
        echo Errore durante la copia di RAMMap.exe
    ) else (
        echo RAMMap.exe copiato con successo.
    )
) else (
    echo Il file RAMMap.exe non e' stato trovato in %scriptDir%
)

:: Copia EmptyStandbyList.exe dalla directory corrente a C:\RAMOptimizer
if exist "%scriptDir%EmptyStandbyList.exe" (
    copy /Y "%scriptDir%EmptyStandbyList.exe" "C:\RAMOptimizer\EmptyStandbyList.exe"
    if %errorlevel% neq 0 (
        echo Errore durante la copia di EmptyStandbyList.exe
    ) else (
        echo EmptyStandbyList.exe copiato con successo.
    )
) else (
    echo Il file EmptyStandbyList.exe non e' stato trovato in %scriptDir%
)

:: Copia "RAM Optimizer.xml" dalla directory corrente a C:\RAMOptimizer
if exist "%scriptDir%RAM Optimizer.xml" (
    copy /Y "%scriptDir%RAM Optimizer.xml" "C:\RAMOptimizer\RAM Optimizer.xml"
    if %errorlevel% neq 0 (
        echo Errore durante la copia di RAM Optimizer.xml
    ) else (
        echo RAM Optimizer.xml copiato con successo.
    )
) else (
    echo Il file RAM Optimizer.xml non e' stato trovato in %scriptDir%
)

echo Operazione completata.
pause